textext.py error

Using Inkscape with other software? Talk about it here.
ittou
Posts: 2
Joined: Tue Feb 06, 2018 7:37 pm

textext.py error

Postby ittou » Tue Feb 06, 2018 7:51 pm

Hi,

I installed Inkscape 0.92 and fsm MLK extension(circuit symbols) on Win7 64.
I enable the extension and make it live, an error message will be displayed.

Traceback (most recent call last):
File "logicGates.py", line 5, in <module>
import inkscapeMadeEasy_Draw as inkDraw
File "D:\usr\local\inkscape\share\extensions\inkscapeMadeEasy_Draw.py", line 42, in <module>
import textextLib.textext as textext
File "D:\usr\local\inkscape\share\extensions\textextLib\textext.py", line 321, in <module>
raise RuntimeError("Neither pygtk nor Tkinter is available!")
RuntimeError: Neither pygtk nor Tkinter is available!

Pygtk and Tkinter is enabled.Test program is run.I attach an operation screen.
How can I solve it?

best,regards,
Attachments
debug.png
debug.png (118.08 KiB) Viewed 563 times

Moini
Posts: 2571
Joined: Mon Oct 05, 2015 10:44 am

Re: textext.py error

Postby Moini » Tue Feb 06, 2018 11:11 pm

I guess you're on Windows? Inkscape's Windows version ships its own Python. You need to make tkinter or pygtk available to it, by adding it there. I'm not a Windows user, so I cannot help further - but I think you need to activate pip in Inkscape's Python and install via pip.
Something doesn't work? - Keeping an eye on the status bar can save you a lot of time!

Inkscape FAQ - Learning Resources - Website with tutorials (German and English)

ittou
Posts: 2
Joined: Tue Feb 06, 2018 7:37 pm

Re: textext.py error

Postby ittou » Fri Feb 09, 2018 11:04 am

Thank you for your reply.
As you pointed out, there was no doubt that python in inkscape was the cause.
I tried and errored. After all, install Python 2.7, install pygtk, Tkinter, numpy, lxml, pygobject from python of inkscape at cmdline, then copy c:\python 2.7 or below to under the whole of inkscape\python, so it works for the time being It began.
Even if pip is executed on inkscape, it seems that it will be installed to c:\python 2.7. It may be good to set environment variables exactly, but I did not go well.

Thank you.


Return to “Inkscape & other”

Who is online

Users browsing this forum: No registered users and 1 guest